Package org.eclipse.lemminx.services

## Class LimitList<T>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<T>
      - - org.eclipse.lemminx.services.LimitList<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<T>`, `Collection<T>`, `List<T>`, `RandomAccess`

Direct Known Subclasses:
  `DocumentSymbolsResult`, `SymbolInformationResult`

    public class LimitList<T>
    extends ArrayList<T>

List class which checks the limit when item is added.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `LimitList.ResultLimitExceededException`

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
`LimitList​(AtomicLong limit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(int index, T element)`
`boolean` `add​(T e)`
`protected AtomicLong` `getLimit()`
`boolean` `isResultLimitExceeded()` Returns true if the symbols limit has been exceeded while computing symbols information, false otherwise

### Methods inherited from class java.util.ArrayList

`addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll`

### Constructor Detail

#### LimitList

    public LimitList​(AtomicLong limit)

### Method Detail

#### add

    public void add​(int index,
                    T element)

Specified by:
  `add` in interface `List<T>`
Overrides:
  `add` in class `ArrayList<T>`

#### add

    public boolean add​(T e)

Specified by:
  `add` in interface `Collection<T>`
Specified by:
  `add` in interface `List<T>`
Overrides:
  `add` in class `ArrayList<T>`

#### getLimit

    protected AtomicLong getLimit()

#### isResultLimitExceeded

    public boolean isResultLimitExceeded()

Returns true if the symbols limit has been exceeded while computing symbols information, false otherwise

Returns:
  true if the symbols limit has been exceeded while computing symbols information, false otherwise